Subject: Re: [Bitcoin-development] DNS seeds returning gone peers

From: Mike Hearn <[email-masked]>
Date: Wed, 3 Aug 2011 16:10:56 +0200

There's no project currently :-)

Starting from Matts code is probably the way to go. It's written in PHP.
Alternatively, you could write a Java app for it, as there are drop-in DNS
serving libraries you could link with BitCoinJ+sqlite. It probably wouldn't
be that hard. You'd want to sort nodes by version, how long they've been
observed to exist, the last polling time, etc.

On Wed, Aug 3, 2011 at 4:00 PM, Rick Wesson
<[email-masked]>wrote:

> Mike,
>
> I think I can contribute to your DNS seeding project. Could you help define
> long-lived peers?
>
> -rick
>
>
> On Wed, Aug 3, 2011 at 3:04 AM, Mike Hearn <[email-masked]> wrote:
>
>> This is expected to happen from time to time of course as it's inherently
>> racy, but there are a *lot* of bad nodes appearing in the DNS seeds.
>>
>> $ nmap -oG /tmp/x -p 8333 `dig +short bitseed.bitcoin.org.uk
>> dnsseed.bluematt.me bitseed.xf2.org`
>> ...
>> Nmap done: 48 IP addresses (25 hosts up) scanned in 9.80 seconds
>>
>> $ grep -c 'closed' /tmp/x
>> 6
>>
>> So of 48 IPs returned only 19 are actually usable. This is slowing down
>> peer bringup for the Android apps, which don't currently save the addresses
>> of last-used peers (yes, I know we should fix this).
>>
>> I was talking to a friend a few days ago about Bitcoin, he seemed
>> interested. I'm hoping he might take on DNS seeding as a project. A custom
>> DNS server that watches the network to find long-lived peers that run the
>> latest version would be helpful for resolving this kind of thing.
>>
>>
>> ------------------------------------------------------------------------------
>> BlackBerry&reg; DevCon Americas, Oct. 18-20, San Francisco, CA
>> The must-attend event for mobile developers. Connect with experts.
>> Get tools for creating Super Apps. See the latest technologies.
>> Sessions, hands-on labs, demos & much more. Register early & save!
>> http://p.sf.net/sfu/rim-blackberry-1
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>